summaryrefslogtreecommitdiffstats
path: root/tests/travis
diff options
context:
space:
mode:
authorThomas Müller <thomas.mueller@tmit.eu>2015-10-28 08:41:23 +0100
committerThomas Müller <thomas.mueller@tmit.eu>2015-10-28 09:59:09 +0100
commit09fff150216d323054256f44ef7d6cc150c4aebc (patch)
treeca3129758224ea20d58e603814ffdc2021071517 /tests/travis
parentb753e7631bd318a1f428d8925dec64693879fd0d (diff)
downloadnextcloud-server-09fff150216d323054256f44ef7d6cc150c4aebc.tar.gz
nextcloud-server-09fff150216d323054256f44ef7d6cc150c4aebc.zip
run litmus scripts only if code in the dav app did change changed
Diffstat (limited to 'tests/travis')
-rwxr-xr-xtests/travis/test_for_app.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/tests/travis/test_for_app.sh b/tests/travis/test_for_app.sh
new file mode 100755
index 00000000000..a97c66dba83
--- /dev/null
+++ b/tests/travis/test_for_app.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+#
+# ownCloud
+#
+# @author Thomas Müller
+# @copyright 2015 Thomas Müller thomas.mueller@tmit.eu
+#
+
+set -e
+APP=$1
+
+if git diff ${TRAVIS_COMMIT_RANGE} | grep -- "^+++ b/apps/$APP/"; then
+ echo "Executing this test config ...."
+else
+ echo "Test config is not relevant for this change. terminating"
+ exit 1
+fi